%sample_generator.m
%Creates a set of sample blood pressure observation data that can be used to demonstrate
%functionality of compression algorithms
clc; clear all; close all;

%set length of sample data
SampleSize = 10000;

%generates gaussian random variable for sample
meanBP = 120;
stdDevBP = 0.5;

sampleData = meanBP + stdDevBP.*randn(SampleSize,1); %mean of 120 with standard dev. of 0.5

% open the file with write permission
fid = fopen('exp.txt', 'w');
fid2=fopen('BP_Sample6.txt','w');

%print sample data to file
fprintf(fid2, '%3.0f\n', sampleData);

%close files
fclose(fid);
fclose(fid2);